#!/bin/bash -e

HC=ghc
HC_PKG=ghc-pkg

declare -a IPLAN
IPLAN=( $( cat src/buildplan.lst ) )

PKGDB=$PWD/src/package.conf.d
rm -rvf "$PKGDB"

$HC_PKG init "$PKGDB"

for PKG in "${IPLAN[@]}"; do
    pushd "src/$PKG"

    rm -rf dist/ ./Setup
    $HC -package-db="$PKGDB" -i --make Setup -o Setup
    ./Setup configure --package-db="$PKGDB" --prefix="$PREFIX" --disable-library-profiling --disable-shared
    ./Setup build
    ./Setup install
    
    popd
done
